#!/usr/bin/env python
# coding: utf-8

# # Create a Polycrystal with Voronoi Tessellation for the Grid Solver
# * Contributor: Martin Diehl (https://martin-diehl.net)
# * DAMASK version: 3.0.0-beta2

# In[1]:


import damask
import numpy as np


# In[2]:


size = np.ones(3)*1e-5
cells = [64,64,64]
N_grains = 200


# In[3]:


seeds = damask.seeds.from_random(size,N_grains,cells)
grid = damask.GeomGrid.from_Voronoi_tessellation(cells,size,seeds)
grid.save(f'Polycystal_{N_grains}_{cells[0]}x{cells[1]}x{cells[2]}')
grid

